@font-face {
  font-family: "cloister"; /* set name */
  src: url("CloisterBlack.ttf"); /* url of the font */
}

* {
margin: 0;
padding: 0;
box-sizing: border-box;}

/* Basics */
body {
font-family: Times New Roman, monospace, sans-serif;
background: #000000; 
color: #46734a;
font-size:13px;
display: flex;
min-height: 100vh;
letter-spacing:1px;
}
  
textarea {background:#222;color:#46734a;letter-spacing:1px;font-size:10px;}
    
/* Links */
a:link,a:visited,a:active { color: #539858; text-decoration: none; }
a:hover { color: #98ff3d; text-shadow: 3px 3px 6px #1d942a; }
  
/* Scrollbar */
::-webkit-scrollbar-thumb {
background-color: #000; 
border:1px solid #98ff3d;
border-radius: 3px;}

::-webkit-scrollbar { 
width: 7px; 
height: 0px; 
background: transparent; }
    

/* Sidebar */
.sidebar {
position: sticky;
top: 0;
height: 100vh;
width: 200px;
background: #1a1a1a;
padding: 20px;
display: flex;
flex-direction: column;
align-items: center;
flex-shrink: 0;}

.sidebar h2 {
font-family: "cloister", cursive;
font-size: 16px;
color: #98ff3d;
margin-bottom: 10px;
text-shadow: 2px 2px 4px #1d942a;}

.rightside { 
  position: sticky;
  right: 0;
  background: #1a1a1a;
padding: 20px;
display: flex;
flex-direction: column;
align-items: center;
flex-shrink: 0;
border: 2px solid #46734a;
border-radius: 10px;
margin-bottom: 20px;
box-shadow: 0 0 10px #46734a;
max-width: 200px;
width: 100%;
}
.sidebar a {
color: #46734a;
text-decoration: none;
margin: 10px 0;
transition: color 0.3s;}

.sidebar a:hover {
color: #98ff3d;}
    
.blinkie {margin-bottom:5px;}
.mainimg {margin-bottom: 5px; margin-top: 5px; max-height: 30px; max-width: 30px;}

/* Main Content */
.content {
flex: 1;
padding: 50px 20px 20px 50px; 
background-image: url("https://www.transparenttextures.com/patterns/graphy-dark.png");
background-color: #00000;
}

.site-name {
font-family: "cloister", cursive;
font-size: 22px;
color: #98ff3d;
margin-bottom: 10px;
text-shadow: 3px 3px 6px #1d942a;
text-align:center;}
    
.slogan {text-align:center;font-style:italic;color:#46734a;}

.post {
background: #1a1a1a;
border: 2px solid #46734a;
border-radius: 10px;
padding: 20px;
margin-bottom: 20px;
box-shadow: 0 0 10px #46734a;
max-width: 500px;
width: 100%;}

.post h3 {
font-family: "cloister", cursive;
margin-bottom: 10px;
color: #98ff3d;
letter-spacing:4px;}



/* This makes layout responsive ! */
@media (max-width: 768px) {
body {
flex-direction: column;}

.sidebar {
position: relative;
height: auto;
width: 100%;
flex-direction: row;
justify-content: center;
flex-wrap: wrap;}
      

.sidebar h2 {
width: 100%;
text-align: center;
margin-bottom:5px;}

.content {
padding: 15px;
padding-top:50px;}

.site-name {
font-size: 22px;
text-align: center;}
}

.rightside {
  position: relative;
height: auto;
width: 100%;
flex-direction: row;
justify-content: center;
flex-wrap: wrap;}

.rightside h2 {
  width: 100%;
text-align: center;
margin-bottom:5px;}
  
